modem.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <errno.h>`
`#include <termios.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <sys/time.h>`
`#include <sys/ioctl.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "hddb.h"`
`#include "modem.h"`

## Data Structures

struct | speeds_s

## Macros

#define | MAX_SPEED (sizeof speeds / sizeof *speeds)
#define | MAX_INIT_STRING (sizeof init_strings / sizeof *init_strings)

## Functions

static void | get_serial_modem (hd_data_t *hd_data)
static void | add_serial_modem (hd_data_t *hd_data)
static int | dev_name_duplicate (hd_data_t *hd_data, char *dev_name)
static void | guess_modem_name (hd_data_t *hd_data, ser_device_t *sm)
static void | at_cmd (hd_data_t *hd_data, char *at, int raw, int log_it)
static void | write_modem (hd_data_t *hd_data, char *msg)
static void | read_modem (hd_data_t *hd_data)
static ser_device_t * | add_ser_modem_entry (ser_device_t **sm, ser_device_t *new_sm)
static int | set_modem_speed (ser_device_t *sm, unsigned baud)
static int | init_modem (ser_device_t *mi)
static unsigned | chk4id (ser_device_t *mi)
static void | dump_ser_modem_data (hd_data_t *hd_data)
void | hd_scan_modem (hd_data_t *hd_data)
int | check_for_responce (str_list_t *str_list, char *str, int len)
str_list_t * | str_list_dup (str_list_t *orig)
int | is_pnpinfo (ser_device_t *mi, int ofs)

## Variables

static struct speeds_s | speeds []
static char * | init_strings []